//files-command-line.cpp
#include <iostream>
#include <fstream>
#include <string>
 using namespace std;

int main(int argc, char* argv[]){
    string line;
    ifstream file_stream1, file_stream2;

    if (argc != 3) {   // (0) 1 2
        cout << "Error. 2 arguments needed!" << endl;
        exit(1);  // 1 error indication to O.S
    }

    //try to open
    file_stream1.open(argv[1], ios::in);
    if (!file_stream1){
        cout << "Error concerning file: "
        << argv[1] << endl;
        exit(1);    
    }
    
    //do something with first file, e.g display it
    cout << "File contains:" << endl;
    while (getline(file_stream1, line) ) {
        cout << line << endl;
    }
    file_stream1.close();

    //similarly, do something with
    //file name in argv[2], using file_stream2. 
    // (Omitted here) 
   
    return 0;    // 0  means ok
 
}


 