//file-io.cpp  (file input)
#include <iostream>
#include <string>
#include <fstream>
using namespace std;

int main() {
    string line;
    string file_name = "in.txt";
    string new_name = "in-new.txt";
    ifstream infile;
    ofstream outfile;    //todo use _ in name
    
    infile.open(file_name.c_str(), ios::in);
    
    while (getline(infile, line) ) {
        cout << "got " << line << endl;
    }
    infile.close();

    //or
    infile.open(file_name.c_str(), ios::in);
    
    bool more = getline(infile, line);
    while (more) {
        cout << "got " << line << endl;
        cout << "len is " <<line.length() << endl;//no eol chars there
        more = getline(infile, line);
    }
    infile.close();
    //--------------
    //copy line by line
    
 /*
G:\MAINFILES\acpp2013\codeCPP2013>fc newfile.txt in.txt
Comparing files newfile.txt and IN.TXT
FC: no differences encountered


G:\MAINFILES\acpp2013\codeCPP2013>fc in.txt newfile.txt  /B
Comparing files in.txt and NEWFILE.TXT
FC: NEWFILE.TXT longer than in.txt

   --- */ 
    
     infile.open(file_name.c_str(), ios::in);
     outfile.open(new_name.c_str(), ios::out);
    
    more = getline(infile, line);
    while (more) {
        cout << "got " << line << endl;
        outfile <<line <<endl;
        more = getline(infile, line);
    }
    infile.close();
    outfile.close();
    
    return 0;
}